Subject: Re: New special handing of '@' character broke my use case

From: Johannes Sixt <[email-masked]>
Date: Wed, 14 Aug 2013 22:11:20 +0200

Am 14.08.2013 20:05, schrieb Junio C Hamano:
> Stefano Lattarini <[email-masked]> writes:
>
>> My problems is that some new automagical interpretation of the bare
>> @' character (introduced after 1.8.3) has destroyed my use case:
>> ...
>> I don't want to ask you to revert this new behaviour, but I'd like to
>> at least have an option to disable it.
>
> I do not think it is simply not worth the complexity to selectively
> disable it.  If it is a regression, it is much better to simply
> revert, if we can (it appears that cdfd9483 (Add new @ shortcut for
> HEAD, 2013-05-07) can be reverted without any textual context, but
> there may already be new stuff that depends on the "@").
>
> For the upcoming release, I am very much tempted to revert it and
> let the topic retried, by people who really want the "let's save
> four keystrokes and replace it with @ aka Shift-<something>",
> without hurting your use case (and others), after the upcoming
> release.
>
> What do others think?

Stefano's use-case, where @/foo is turned into HEAD/foo, indicates a bug.

In my opinion, the topic, which touches a central part of ref handling, 
was a bit hurried (and this report is a symptom of it), and I wouldn't 
mind seeing it reverted.

-- Hannes